From: Matthew Ruffell <matthew.ruffell@canonical.com>
Date: Thu, 7 Jul 2022 17:32:04 +0800
Subject: Shrink (tls-)basic-realistic tests

Reduce the message count so they reliably succeed on slow platforms like
riscv64. Fast platforms work too.
---
 tests/basic-realistic.sh     | 2 +-
 tests/tls-basic-realistic.sh | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/tests/basic-realistic.sh b/tests/basic-realistic.sh
index 54d3be1..df937ed 100755
--- a/tests/basic-realistic.sh
+++ b/tests/basic-realistic.sh
@@ -3,7 +3,7 @@
 # a more relastic test which actually sends a bit larger number
 # of messages
 . ${srcdir:=$(pwd)}/test-framework.sh
-NUMMESSAGES=50000
+NUMMESSAGES=10000
 startup_receiver
 ./send -t 127.0.0.1 -p $TESTPORT -n$NUMMESSAGES $OPT_VERBOSE
 stop_receiver
diff --git a/tests/tls-basic-realistic.sh b/tests/tls-basic-realistic.sh
index 1a2302b..3b7d76e 100755
--- a/tests/tls-basic-realistic.sh
+++ b/tests/tls-basic-realistic.sh
@@ -3,7 +3,7 @@
 # a more relastic test which actually sends a bit larger number
 # of messages
 . ${srcdir:=$(pwd)}/test-framework.sh
-NUMMESSAGES=50000
+NUMMESSAGES=10000
 
 function actual_test() {
 	startup_receiver --tls-lib $TEST_TLS_LIB -T -a "name" -x ${srcdir}/tls-certs/ca.pem \
