From: William Grant <wgrant@ubuntu.com>
Date: Thu, 7 Jul 2022 17:32:04 +0800
Subject: Shrink (tls-)receiver-abort tests

Reduce the message count so they reliably succeed on slow platforms like
riscv64. Fast platforms work too.
---
 tests/receiver-abort.sh     | 4 ++--
 tests/tls-receiver-abort.sh | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/tests/receiver-abort.sh b/tests/receiver-abort.sh
index d197d1f..2084a68 100755
--- a/tests/receiver-abort.sh
+++ b/tests/receiver-abort.sh
@@ -5,11 +5,11 @@
 . ${srcdir:=$(pwd)}/test-framework.sh
 # export OPT_VERBOSE=-v # uncomment for debugging 
 export errorlog="error.$LIBRELP_DYN.log"
-export NUMMESSAGES=100000
+export NUMMESSAGES=10000
 check_command_available timeout
 
 startup_receiver -e ${TESTDIR}/${errorlog}
-./send -t 127.0.0.1 -p $TESTPORT -n$NUMMESSAGES --no-exit-on-error --kill-on-msg 20000 --kill-pid $RECEIVE_PID $OPT_VERBOSE &
+./send -t 127.0.0.1 -p $TESTPORT -n$NUMMESSAGES --no-exit-on-error --kill-on-msg 2000 --kill-pid $RECEIVE_PID $OPT_VERBOSE &
 SENDER_PID=$!
 
 for i in {1..3};  do
diff --git a/tests/tls-receiver-abort.sh b/tests/tls-receiver-abort.sh
index 0e605c7..84866f0 100755
--- a/tests/tls-receiver-abort.sh
+++ b/tests/tls-receiver-abort.sh
@@ -4,12 +4,12 @@
 # of messages
 . ${srcdir:=$(pwd)}/test-framework.sh
 check_command_available timeout
-export NUMMESSAGES=100000
+export NUMMESSAGES=10000
 
 actual_test() {
 	startup_receiver
 	./send -t 127.0.0.1 -p $TESTPORT -n$NUMMESSAGES --no-exit-on-error \
-		--kill-on-msg 20000 --kill-pid $RECEIVE_PID $OPT_VERBOSE &
+		--kill-on-msg 2000 --kill-pid $RECEIVE_PID $OPT_VERBOSE &
 	SENDER_PID=$!
 
 	for i in {1..3};  do
